Subject: bug#58423: 29.0.50; Weird behavior of string-edit

From: Jean Louis <[email-masked]>
Date: Tue, 11 Oct 2022 17:12:40 +0300

* Lars Ingebrigtsen <[email-masked]> [2022-10-11 03:36]:
> Jean Louis <[email-masked]> writes:
> 
> > I don't think that this is right return value from:
> >
> > (string-edit "" "" 'ignore)
> >
> > to be this:
> >
> > #("Type C-c C-c when you’ve finished editing" 5 12 (font-lock-face help-key-binding face help-key-binding))
> 
> That function isn't defined as having any particular return value, so
> that's as good a value as any.
> 
> Closing.

I can just say "WOW" on that.

I understand that the fallback function is called and I like the
approach.

But from functions I expect return values.

If there is success than I would expect TRUE or something.

Best would be not to have special function to handle that, but to have
return value. See my function in previous email.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/